Project Chrono: chrono::vehicle::ChAutomaticTransmissionSimpleMap Class Reference

Public Member Functions | Protected Member Functions | List of all members
chrono::vehicle::ChAutomaticTransmissionSimpleMap Class Referenceabstract
VEHICLE module » Powertrain system

## Description

Template for an automatic transmission model based on a simple gear-shifting model.

This transmission has no torque converter. It accepts a single reverse gear and any number of forward gears. In automatic mode, gear shifting is done based on specified ideal shift points.

`#include <ChAutomaticTransmissionSimpleMap.h>`

Inheritance diagram for chrono::vehicle::ChAutomaticTransmissionSimpleMap:
[legend]

## Public Member Functions
virtual std::string | GetTemplateName () const override
| Get the name of the vehicle subsystem template.
virtual bool | HasTorqueConverter () const override
| Return true if a torque converter model is included.
virtual double | GetTorqueConverterSlippage () const override
| Return the value of slippage in the torque converter.
virtual double | GetTorqueConverterInputTorque () const override
| Return the input torque to the torque converter.
virtual double | GetTorqueConverterOutputTorque () const override
| Return the output torque from the torque converter.
virtual double | GetTorqueConverterOutputSpeed () const override
| Return the torque converter output shaft speed.
virtual double | GetOutputDriveshaftTorque () const override
| Return the transmission output torque on the driveshaft.
virtual double | GetOutputMotorshaftSpeed () const override
| Return the transmission output speed of the motorshaft.

## Protected Member Functions
| ChAutomaticTransmissionSimpleMap (const std::string &name)
virtual void | SetShiftPoints (std::vector< std::pair< double, double > > &shift_bands)=0
| Set the ideal shift points for automatic gear shifting.

## Member Function Documentation

## ◆ GetOutputDriveshaftTorque()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetOutputDriveshaftTorque | ( |  | ) | const
| inlineoverridevirtual

Return the transmission output torque on the driveshaft.

This is the torque that is passed to the driveline subsystem, thus providing the interface between the powertrain and vehicle systems.

Implements chrono::vehicle::ChTransmission.

## ◆ GetOutputMotorshaftSpeed()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetOutputMotorshaftSpeed | ( |  | ) | const
| inlineoverridevirtual

Return the transmission output speed of the motorshaft.

This represents the output from the transmision subsystem that is passed to the engine subsystem.

Implements chrono::vehicle::ChTransmission.

## ◆ GetTemplateName()

virtual std::string chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetTemplateName | ( |  | ) | const
| inlineoverridevirtual

Get the name of the vehicle subsystem template.

Implements chrono::vehicle::ChPart.

## ◆ GetTorqueConverterInputTorque()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetTorqueConverterInputTorque | ( |  | ) | const
| inlineoverridevirtual

Return the input torque to the torque converter.

This simplified model does not have a torque converter.

## ◆ GetTorqueConverterOutputSpeed()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetTorqueConverterOutputSpeed | ( |  | ) | const
| inlineoverridevirtual

Return the torque converter output shaft speed.

This simplified model does not have a torque converter.

## ◆ GetTorqueConverterOutputTorque()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetTorqueConverterOutputTorque | ( |  | ) | const
| inlineoverridevirtual

Return the output torque from the torque converter.

This simplified model does not have a torque converter.

## ◆ GetTorqueConverterSlippage()

virtual double chrono::vehicle::ChAutomaticTransmissionSimpleMap::GetTorqueConverterSlippage | ( |  | ) | const
| inlineoverridevirtual

Return the value of slippage in the torque converter.

This simplified model does not have a torque converter.

## ◆ HasTorqueConverter()

virtual bool chrono::vehicle::ChAutomaticTransmissionSimpleMap::HasTorqueConverter | ( |  | ) | const
| inlineoverridevirtual

Return true if a torque converter model is included.

A ChAutomaticTransmissionSimpleMap does not model the torque converter.

## ◆ SetShiftPoints()

virtual void chrono::vehicle::ChAutomaticTransmissionSimpleMap::SetShiftPoints | ( | std::vector< std::pair< double, double > > & | shift_bands | ) |
| protectedpure virtual

Set the ideal shift points for automatic gear shifting.

For each forward gear, specify the min and max engine speed for shifting (down and up, respectively).

Implemented in chrono::vehicle::artcar::ARTcar_AutomaticTransmissionSimpleMap, chrono::vehicle::AutomaticTransmissionSimpleMap, chrono::vehicle::bmw::BMW_E90_AutomaticTransmissionSimpleMap, chrono::vehicle::citybus::CityBus_AutomaticTransmissionSimpleMap, chrono::vehicle::feda::FEDA_AutomaticTransmissionSimpleMap, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimple, chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap, chrono::vehicle::gator::Gator_AutomaticTransmissionSimple, chrono::vehicle::gator::Gator_AutomaticTransmissionSimpleMap, chrono::vehicle::gclass::G500_AutomaticTransmissionSimpleMap, chrono::vehicle::generic::Generic_AutomaticTransmissionSimpleMap, chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionSimpleMap, chrono::vehicle::kraz::Kraz_tractor_AutomaticTransmissionSimpleMap, chrono::vehicle::m113::M113_AutomaticTransmissionSimple, chrono::vehicle::m113::M113_AutomaticTransmissionSimpleMap, chrono::vehicle::man::MAN_5t_AutomaticTransmissionSimple, chrono::vehicle::man::MAN_5t_AutomaticTransmissionSimpleMap, chrono::vehicle::man::MAN_7t_AutomaticTransmissionSimple, chrono::vehicle::man::MAN_7t_AutomaticTransmissionSimpleMap, chrono::vehicle::marder::Marder_AutomaticTransmissionSimple, chrono::vehicle::marder::Marder_AutomaticTransmissionSimpleMap, chrono::vehicle::mrole::mrole_AutomaticTransmissionSimpleMap, chrono::vehicle::sedan::Sedan_AutomaticTransmissionSimpleMap, chrono::vehicle::uaz::UAZBUS_AutomaticTransmissionSimpleMap, and chrono::vehicle::unimog::U401_AutomaticTransmissionSimpleMap.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ChAutomaticTransmissionSimpleMap.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/powertrain/ChAutomaticTransmissionSimpleMap.cpp